/*
***
**** BASE
***
*/

/***
***
**
* Some Layouts and Interactions */

.element-rsvp:hover {
  transform: scale(1.05);
  -webkit-transform: scale(1.05);
  -moz-transform: scale(1.05);
  -ms-transform: scale(1.05);
  -o-transform: scale(1.05);
}
.element-rsvp:active {
  transform: scale(0.95);
  -webkit-transform: scale(0.95);
  -moz-transform: scale(0.95);
  -ms-transform: scale(0.95);
  -o-transform: scale(0.95);
}

/* Center the host image and text */
#element-host .w1-8,
#element-host .w7-8 {
	float: none !important;
}


/***
***
**
* Punctuation helpers for date, time & venue */

.comma-before:before {
	content: ',';
	position: absolute;
	left: -.5em;
}

/* if not floated */
.comma-before.nofl {
	left: -.2em;
}

/* colon before minute */
.colon-before:before,
.time .minute:before {
	content: ':';
}

/* if end time, add hyphen before */
.time.end:before {
	content: '-';
	float: left;
}

/* if end date, same month, add hyphen between dates */
.event_start .date.end:before {
	content: '-';
	display:inline-block;
}

/* if end date, different month, add word 'until' between months */
.event_end:before {
	content: 'UNTIL';
	display: block;
	font-size: .7em;
}

/* comma after day of week */
.element-when-dow:after,
.element-when-end-dow:after {
	content: ',';
	position: absolute;
	right: 0.3em;
	bottom: 0;
}

/* if end date, same month, hide day of week */
.sesm .element-when-dow {
	display:none;
}

/* if end time, same day, show day of week */
.sesm.sesd .element-when-dow {
	display:inline-block;
}